CREATE TABLE bm_cm_attr_ref_attr_assoc (
    ID                NUMBER(18, 0) ,
    CM_ATTR_ID        NUMBER(18, 0)     NOT NULL,
    REF_CM_ATTR_ID    NUMBER(18, 0)     NOT NULL,
    DATE_ADDED        DATE              NOT NULL,
    DATE_MODIFIED     DATE              NOT NULL,
    GUID              VARCHAR2(4000)    NOT NULL,
    ID                NUMBER(18, 0) ,
    CM_ATTR_ID        NUMBER(18, 0)     NOT NULL,
    REF_CM_ATTR_ID    NUMBER(18, 0)     NOT NULL,
    DATE_ADDED        DATE              NOT NULL,
    DATE_MODIFIED     DATE              NOT NULL,
    GUID              VARCHAR2(4000)    NOT NULL,
    CONSTRAINT pk_bm_cm_attr_ref_attr_assoc PRIMARY KEY (ID, ID)
);
